<?php 
// ================================================
// PHP image manager - iManager 
// ================================================
// iManager dialog -color picker
// ================================================
// Developed: net4visions.com
// Copyright: net4visions.com
// License: GPL - see readme.txt
// (c)2005 All rights reserved.
// ================================================
// Revision: 1.0                   Date: 2005/03/25
// ================================================


    if(isset($_GET['func'])) $func = $_GET['func'];
    if(isset($_GET['block'])) $block = $_GET['block'];

    //-------------------------------------------------------------------------
	// color picker variables
		$rows = 7;
		$cols = 7;
		$cellsize = 10;
		$cellspacing = 1;
		$cellpadding = 0;
		$maxwidth = 300;
		$totalsegments = 8; // one for grayscale, the rest for colors
	// end color picker variables	
	//-------------------------------------------------------------------------
	
	function RGB2hex( $r, $g, $b ) {
		$RGB2hex  = str_pad(dechex(round($r)), 2, '0', STR_PAD_LEFT);
		$RGB2hex .= str_pad(dechex(round($g)), 2, '0', STR_PAD_LEFT);
		$RGB2hex .= str_pad(dechex(round($b)), 2, '0', STR_PAD_LEFT);
		return $RGB2hex;
	}	
	function CheckMaxWidthBR( &$currentwidth, $maxwidth, $cols, $cellsize, $cellpadding, $cellspacing ) {
		$currentwidth += $cols * ( $cellsize + ( $cellpadding + $cellspacing * 2 ));
		if ( $currentwidth >= $maxwidth ) {
			echo '<br clear="all">';
			$currentwidth = 0;
		}
		return true;
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Colour Picker</title>
<meta http-equiv="Pragma" content="no-cache">
<style type="text/css">
body {
	background-color: #F0F0EE;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	scrollbar-3dlight-color: #F0F0EE;
	scrollbar-arrow-color: #676662;
	scrollbar-base-color: #F0F0EE;
	scrollbar-darkshadow-color: #DDDDDD;
	scrollbar-face-color: #E0E0DD;
	scrollbar-highlight-color: #F0F0EE;
	scrollbar-shadow-color: #F0F0EE;
	scrollbar-track-color: #F5F5F5;
}

td {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}

input {
	background: #FFFFFF;
	border: 0px solid #cccccc;
	vertical-align: middle;
}

td, input, select, textarea {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	vertical-align: middle;
}

img {
    vertical-align: middle;
	white-space: nowrap;
}

input, select, textarea {
	border: 1px solid #808080;
}

.input_noborder {
	border: 0px solid #808080;
}
</style>
<script language="javascript" type="text/javascript">
  <!--
	var cur_color = '<?php echo $cur_colour;?>';// passed color

  	function init() {
		//var cProps = window.dialogArguments;
		cur_color  = window.opener.document.getElementById('<?php echo $func;?>').value
		if ( cur_color != null ) {
		  document.getElementById( 'color' ).value = cur_color;
		  document.getElementById( 'ncol' ).bgColor = cur_color;
		  document.getElementById( 'ccol' ).bgColor = cur_color;
		}
		//resizeDialogToContent();
  	}
  	function okClick() {		
		window.opener.document.getElementById('<?php echo $func;?>').value = document.getElementById( 'color' ).value;
        window.opener.document.getElementById('<?php echo $block;?>').style.background = document.getElementById( 'color' ).value;
        window.close();
  	}
  	function cancelClick() {
		//window.returnValue = cur_color;
		window.close();
  	}
  	function imgOn(imgid) {			
		document.getElementById( 'ccol' ).bgColor = '#' + imgid.id.substring(3);
 	}  	
  	function selColor(colorcode) {
		document.getElementById( 'ncol' ).bgColor = '#' + colorcode;
		document.getElementById( 'ccol' ).bgColor = '#' + colorcode;
		document.getElementById( 'color' ).value  = '#' + colorcode;
  	}
  	function returnColor(colorcode) {
		window.opener.document.getElementById('<?php echo $func;?>').value = '#' + colorcode;
		window.opener.document.getElementById('<?php echo $block;?>').style.background = '#' + colorcode;
		window.close();
  	}
  	function setColor() {
		document.getElementById( 'ncol' ).bgColor = document.getElementById( 'color' ).value;
  	}
	//-->
 </script>
</head>
<body onload="init()">
<div id="dialog">
  <div class="shead">Colour Picker</div>
  <div class="pad10">
    <?php
		$currentwidth = 0;		
		// grayscale
		$graystep = 0xFF / (( $rows * $cols ) - 1);
		$gray = 0;
		echo '<table border="0" cellspacing="'.$cellspacing.'" cellpadding="'.$cellpadding.'" align="left">'."\n";
			for ( $y = 0; $y < $rows; $y++ ) {
				echo '<tr>'."\n";
				for ( $x = 0; $x < $cols; $x++ ) {
					$hexcolor = RGB2hex($gray, $gray, $gray);
					echo '<td bgcolor="#' . $hexcolor . '"><img id="img' . $hexcolor . '" src="images/spacer.gif" alt="#' . $hexcolor . '" width="' . $cellsize . '" height="' . $cellsize . '" onMouseOver="imgOn(this)" onClick="selColor(\'' . $hexcolor . '\')" onDblClick="returnColor(\'' . $hexcolor . '\')" style="cursor: pointer;"></td>'."\n";
					$gray += $graystep;
				}
				echo '</tr>'."\n";
			}
		echo '</table>';
		
		CheckMaxWidthBR( $currentwidth, $maxwidth, $cols, $cellsize, $cellpadding, $cellspacing );
		
		// NOTE: "round($r) <= 0xFF" is needed instead of just "$r <= 0xFF" because of floating-point rounding errors
		for ($r = 0x00; round($r) <= 0xFF; $r += ( 0xFF / (( $totalsegments - 1 ) - 1 ))) {
			echo '<table border="0" cellspacing="' . $cellspacing . '" cellpadding="' . $cellpadding . '" align="left">'."\n";
			for ($g = 0x00; round($g) <= 0xFF; $g += ( 0xFF / ($rows - 1 ))) {
				echo '  <tr>'."\n";
				for ( $b = 0x00; round($b ) <= 0xFF; $b += ( 0xFF / ($cols - 1 ))) {
					$hexcolor = RGB2hex($r, $g, $b);
					echo '<td bgcolor="#'.$hexcolor.'"><img id="img'. $hexcolor .'" src="images/spacer.gif" alt="#' . $hexcolor . '" width="' . $cellsize . '" height="'.$cellsize.'" onMouseOver="imgOn(this)" onClick="selColor(\''.$hexcolor.'\')" onDblClick="returnColor(\''.$hexcolor.'\')" style="cursor: pointer;"></td>'."\n";
				}
				echo '  </tr>'."\n";
			}
			echo '</table>';		
			CheckMaxWidthBR( $currentwidth, $maxwidth, $cols, $cellsize, $cellpadding, $cellspacing );
		}
		echo '<br clear="all">';
	?>
    <table width="<?php echo $maxwidth; ?>" border="0" cellpadding="0" cellspacing="0">
      <form name="colorpicker" onsubmit="okClick(); return false;" action="">
        <tr>
          <td id="ccol" align="left" width="30"><img src="images/spacer.gif" alt="" width="30" height="30" hspace="0" vspace="0" align="left"></td>
          <td><img src="images/spacer.gif" alt="" width="10" height="1" hspace="0" vspace="0"></td>
		  <td id="ncol" align="left" width="30"><img src="images/spacer.gif" alt="" width="30" height="30" hspace="0" vspace="0" align="left"></td>
		  <td><img src="images/spacer.gif" alt="" width="10" height="1" hspace="0" vspace="0"></td>
		  <td align="right" valign="bottom" nowrap><input type="text" id="color" name="color" size="9" maxlength="8" class="fldsm" onkeyup="setColor()">
            <input type="submit" value="Ok" style="cursor:pointer;" onclick="okClick()" class="button">
            <input type="button" value="Cancel" style="cursor:pointer;" onclick="cancelClick()" class="button">
          </td>
        </tr>
      </form>
    </table>
  </div>
</div>
</body>
</html>
