<?php

/**
 * The frame that contains the image to be edited.
 * @author $Author: Wei Zhuo $
 * @version $Id: editorFrame.php 26 2004-03-31 02:35:21Z Wei Zhuo $
 * @package ImageManager
 */
define('_VALID_MOS', 1);

$base_path = '../../../../../../../../';
if ( !empty($_SERVER['SCRIPT_FILENAME']) && $pos = strpos($_SERVER['SCRIPT_FILENAME'], 'mambots/editors/mostlyce/jscripts/tiny_mce' ) )
{
  $base_path = substr($_SERVER['SCRIPT_FILENAME'], 0, $pos);
}

//Start Authorization
//Some includes
include ( $base_path."configuration.php" );

$tiny_path = $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce";
$tiny_url = $mosConfig_live_site."/mambots/editors/mostlyce/jscripts/tiny_mce";
$im_path = $tiny_path."/plugins/imgmanager/ImageManager";
$im_url = $tiny_url."/plugins/imgmanager/ImageManager";

include_once ( $tiny_path."/auth_plugin.php" );
include ( $tiny_path."/mostlyce_config.php" );
include ( $tiny_path."/plugins/imgmanager/langs/$editor_lang.php" );

$imAuth = new authPlugin();

include_once ( $im_path."/config.inc.php" );
include_once ( $im_path."/Classes/ImageManager.php" );
include_once ( $im_path."/Classes/ImageEditor.php" );
include_once ( $im_path."/Classes/Functions.php" );

$manager = new ImageManager($IMConfig);
$editor = new ImageEditor($manager);
$imageInfo = $editor->processImage();

?>

<html>
<head>
<link href="assets/editorFrame.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="assets/wz_jsgraphics.js"></script>
<script type="text/javascript" src="assets/EditorContent.js"></script>
<script type="text/javascript">
if(window.top)
        I18N = window.top.I18N;

function i18n(str) {
        if(I18N)
                return (I18N[str] || str);
        else
                return str;
};

        var mode = "<?php echo $editor->getAction(); ?>" //crop, scale, measure

var currentImageFile = "<?php if(count($imageInfo)>0) echo rawurlencode($imageInfo['file']); ?>";

<?php if ($editor->isFileSaved() == 1) { ?>
        alert(i18n('File saved.'));
<?php } else if ($editor->isFileSaved() == -1) { ?>
        alert(i18n('File was not saved.'));
<?php } ?>

</script>
<script type="text/javascript" src="assets/editorFrame.js"></script>
</head>

<body>
<div id="status"></div>
<div id="ant" class="selection" style="visibility:hidden"><img src="img/spacer.gif" width="0" height="0" border="0" alt="" id="cropContent"></div>
<?php if ($editor->isGDEditable() == -1) { ?>
        <div style="text-align:center; padding:10px;"><span class="error">GIF format is not supported, image editing not supported.</span></div>
<?php } ?>
<table height="100%" width="100%">
        <tr>
                <td>
<?php if(count($imageInfo) > 0 && is_file($imageInfo['fullpath'])) { ?>
        <span id="imgCanvas" class="crop"><img src="<?php echo $imageInfo['src']; ?>" <?php echo $imageInfo['dimensions']; ?> alt="" id="theImage" name="theImage"></span>
<?php } else { ?>
        <span class="error">No Images Found</span>
<?php } ?>
                </td>
        </tr>
</table>
</body>
</html>
